<template>
  <navbar></navbar>
  <div class="body">
    <h1 class="text-center mt-8 text-3xl font-semibold">
      {{ response.nombreTarea }}
    </h1>
    <div class="text-sm breadcrumbs ml-12 mt-10">
    <ul>
      <li>
        <a
          @click="
            $router.push({
              path: elegirAsignaturaURL,
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Elegir Asignatura
        </a>
      </li>
      <li>
        <a
          @click="
            $router.push({
              path: elegirCursoURL,
              query: { asig_id: this.$route.query.asig_id },
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
         Elegir Curso
        </a>
      </li>
      <li>
        <a
          @click="
            $router.push({
              path: listaTareasURL,
              query: { asig_id: this.$route.query.asig_id, curso_id: this.$route.query.curso_id },
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Lista Tareas
        </a>
      </li>
      <li>
        <a
          @click="
            $router.push({
              path: detalleTareaURL,
              query: { asig_id: this.$route.query.asig_id, curso_id: this.$route.query.curso_id,tarea_id:this.$route.query.tarea_id },
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Detalle Tarea
        </a>
      </li>
      
    </ul>
  </div>
    <v-container grid-list-xs>
      <div
        class="bg-accent ml-44 mt-20 rounded-3xl min-w-min h-10 w-3/12 text-center md:text-2xl text-xs font-bold"
      >
        <h1>{{ responseAsig.tipoAsignatura }}</h1>
      </div>
      <div class="bg-white rounded-3xl mr-44 ml-44" style="padding: 30px">
        <p
          class="bg-accent text-center rounded-xl md:text-2xl text-xs font-semibold"
        >
          {{ response.descTarea }}
        </p>
      </div>
      <div class="text-center mt-10 font-bold">
        <h1 class="text-bg-primary inline-flex mr-10">
          Fecha inicio : {{ response.fechInicio }} {{ response.horaInicio }}
        </h1>
        <h1 class="text-bg-primary inline-flex ml-10">
          Fecha termino : {{ response.fechTermino }} {{ response.horaTermino }}
        </h1>
      </div>
    </v-container>

    <div class="text-center mt-12">
      <button
        type="submit"
        @click="
          $router.push({
            path: 'ModificarTarea',
            query: {
              asig_id: routeasign,
              curso_id: route,
              tarea_id: this.$route.query.tarea_id,
            },
          })
        "
        class="inline-flex justify-center mr-5 rounded-md border border-transparent bg-warning py-2 px-4 text-sm font-medium text-white shadow-sm hover:bg-primary focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2"
      >
        Editar Tarea
      </button>
      <button
        type="submit"
        @click="
          $router.push({
            path: 'ListaEntregasDocente',
            query: {
              asig_id: routeasign,
              curso_id: route,
              tarea_id: queryTarea,
            },
          })
        "
        class="inline-flex mr-5 ml-5 justify-center rounded-md border border-transparent bg-accent py-2 px-4 text-sm font-medium text-white shadow-sm hover:bg-primary focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2"
      >
        Ver Entregas
      </button>
      <button
        type="submit"
        @click="eliminarTarea(response.tareaId)"
        class="inline-flex ml-5 justify-center rounded-md border border-transparent bg-error py-2 px-4 text-sm font-medium text-white shadow-sm hover:bg-primary focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2"
      >
        Eliminar Tarea
      </button>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import navbar from '../../components/Navbar.vue'
export default {
  components: { navbar },
  name: "detalleTareaDocente",

  data() {
    return {
      response: [],
      route: this.$route.query.curso_id,
      routeasign: this.$route.query.asig_id,
      queryTarea: this.$route.query.tarea_id,
      msg: "",
      id: "",
      descripcion: "",
      nombreTarea: "",
      fechInicio: "",
      fechTermino: "",
      horaInicio: "",
      horaTermino: "",
      responseAsig: [],
      asig: [],
      elegirAsignaturaURL:"",
      elegirCursoURL:"",
      listaTareasURL:"",
      detalleTareaURL:"",
    };
  },
  mounted() {
    const peticion = this.$route.query.tarea_id;
    const msg = "";
    var today = new Date();
    var day = today.getDate();
    var cadena = "";

    let str = "";
    let vue = this;
    const peticionAsig = this.$route.query.asig_id;

    axios
      .get("tarea/mostrarTarea", {
        headers: {
          Authorization: localStorage.getItem("auth"),
        },
      })
      .then((response) => {
        vue.response = response.data;

        vue.response.forEach(function (valor, indice, array) {
          if (peticion == response.data[indice].tareaId) {
            vue.response.tareaId = response.data[indice].tareaId;
            vue.response.nombreTarea = response.data[indice].nombreTarea;
            vue.response.descTarea = response.data[indice].descTarea;
            vue.response.fechInicio = response.data[
              indice
            ].fechInicio.substring(0, 10);
            vue.response.fechTermino = response.data[
              indice
            ].fechTermino.substring(0, 10);
            vue.response.horaInicio = response.data[indice].horaInicio;
            vue.response.horaTermino = response.data[indice].horaTermino;
          }
        });

        this.msg = response.data;
        console.log(peticion);
        // this.id=response.data[peticion].tareaId;
        //this.descripcion=response.data[peticion].descTarea;
        //this.fechInicio = response.data[peticion].fechInicio.substring(0, 10);
        //this.fechTermino = response.data[peticion].fechTermino.substring(0, 10);
        //this.horaInicio = response.data[peticion].horaInicio
        //this.horaTermino = response.data[peticion].horaTermino
        console.log(this.msg);
      });
    axios
      .get(
        "/administracionCursos/mostrarAsignaturasCurso/" +
          this.$route.query.curso_id,
        {
          headers: {
            Authorization: localStorage.getItem("auth"),
          },
        }
      )
      .then((res) => {
        this.msg = res.data;
        vue.asig = res.data;
        vue.asig.forEach(function (valor, indice, array) {
          console.log(vue.asig);
          if (peticionAsig == res.data[indice].asigId) {
            vue.responseAsig = res.data[indice];
            console.log(res.data[indice]);
          }
        });

        console.log(response.data.asignaturas[indice]);

        this.fechaEntrega = this.fecha + this.hora;
      })
      .catch((err) => {
        console.log("index not defined");
      });
      axios
        .get("cuentas/usuario", {
          headers: {
            Authorization: localStorage.getItem("auth"),
          },
        })
        .then((resp) => {

          if (resp.data.rol == "DOCENTE") {
            this.elegirAsignaturaURL=
              "/ElegirAsignatura";
            this.elegirCursoURL=
            "/ElegirCurso";
            this.listaTareasURL=
            "/ListaTareasDocente";
            this.detalleTareaURL=
            "/DetalleTareaDocente"
          } else if (resp.data.rol == "ALUMNO") {
            this.elegirAsignaturaURL=
              "/ElegirAsignaturaAlumno";
            this.listaTareasURL=
            "/ListaTareasEstudiante";
            this.detalleTareaURL=
            "/DetalleTareaEstudiante"
          }

        });
  },

  methods: {
    registrarTarea() {},
    eliminarTarea(id) {
      axios
        .delete("entregable/eliminarEntregablePorTarea/" + id)
        .then((response) => console.log(response));
      axios
        .delete("tarea/eliminarTarea/" + id)
        .then((response) => console.log(response));
        window.location.href = "ElegirAsignatura";
      },
  },
};
</script>

<style>
.body {
  height: 100vh;
}
</style>
